using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableWatermelon : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x0DC7;
		}

		public override Item GetCropObject()
		{
			Watermelon watermelon = new Watermelon();

			watermelon.ItemID = 0xC5C;

			return watermelon;
		}

		public override int GetPickedID()
		{
			return 0x0C5F;
		}

		[Constructable]
		public FarmableWatermelon(): base( GetCropID() )
		{
			Name = "watermelon";
		}

		public FarmableWatermelon( Serial serial ): base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}